#377 closed enhancement (fixed)

improved dec21140, pci vector autoconfig, shared interrupts

Reported by: gregory.menke Owned by: gregory.menke
Priority: lowest Milestone: 2
Component: bsps Version: 4.5
Severity: minor Keywords:
Cc: bugs@… Blocked By:
Blocking:

Description

  • multi-unit & shared irq support for libhcip dec21140 on motorola shared bsp's. x86 should work multi-unit, but no shared support there. Also includes service tasks consolidated to 1 pair.
  • For motorola shared bsp's, FixupPCI() called from bspstart() to compute irq vectors for device on pci backplanes not more than 1 hop away from the processor. Config tables are relocated to motorola.c, the correct one being passed as a parameter into FixupPCI.
  • For motorola shared bsp's, irq.c is tweaked to support shared vectors. This is done by preserving the semantics of the existing functions, adding a new function that specifically supports shared vectors. The code is somewhat preliminary, but the dec21140 driver uses the new shared irq function & still works (though I don't have enough hardware yet to completely test sharing).

Release:
RTEMS-4.5

Environment:
patch against rtems-ss-20030128

Attachments (1)

joel-diffs (87.4 KB) - added by gregory.menke on Dec 3, 2006 at 1:31:12 PM.
joel-diffs

Download all attachments as: .zip

Change History (3)

comment:1 Changed on Apr 18, 2003 at 5:43:21 PM by gregory.menke

Status: assignedsuspended

comment:2 Changed on May 7, 2003 at 7:36:03 PM by gregory.menke

Owner: changed from joel to gregory.menke
Status: suspendedclosed

State-Changed-From-To: suspended->closed
State-Changed-Why: superceeded by PR405

Changed on Dec 3, 2006 at 1:31:12 PM by gregory.menke

Attachment: joel-diffs added

joel-diffs

Note: See TracTickets for help on using tickets.